You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by sh...@apache.org on 2012/05/08 01:03:33 UTC

ios commit: Updated debug cli script.

Updated Branches:
  refs/heads/master 91f825519 -> 91c771b99


Updated debug cli script.


Project: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/commit/91c771b9
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/tree/91c771b9
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/diff/91c771b9

Branch: refs/heads/master
Commit: 91c771b995568761c354a5a53b08d571ffd50088
Parents: 91f8255
Author: Shazron Abdullah <sh...@apache.org>
Authored: Mon May 7 16:02:51 2012 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Mon May 7 16:02:51 2012 -0700

----------------------------------------------------------------------
 .gitignore                          |    3 ++-
 bin/templates/project/cordova/debug |   15 +++++++++++++--
 2 files changed, 15 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/blob/91c771b9/.gitignore
----------------------------------------------------------------------
diff --git a/.gitignore b/.gitignore
index 4f26f36..07e7ef8 100644
--- a/.gitignore
+++ b/.gitignore
@@ -20,4 +20,5 @@ CordovaLib/javascript/cordova-*.js
 wkhtmltopdf.dmg
 wkhtmltopdf/
 
-CordovaLib/CordovaLibApp/www/cordova.ios.js
\ No newline at end of file
+CordovaLib/CordovaLibApp/www/cordova.ios.js
+console.log
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/blob/91c771b9/bin/templates/project/cordova/debug
----------------------------------------------------------------------
diff --git a/bin/templates/project/cordova/debug b/bin/templates/project/cordova/debug
index 70399f5..7cc6d98 100755
--- a/bin/templates/project/cordova/debug
+++ b/bin/templates/project/cordova/debug
@@ -1,4 +1,5 @@
-#! /bin/sh
+
+#! /bin/bash
 
 #
 # Licensed to the Apache Software Foundation (ASF) under one
@@ -40,5 +41,15 @@ cd $PROJECT_PATH
 
 xcodebuild -project $PRJ -sdk $SDK clean build
 
-ios-sim launch $APP --stderr console.log --stdout console.log &
+
+# launch using ios-sim
+
+if which ios-sim >/dev/null; then
+    ios-sim launch $APP --stderr console.log --stdout console.log &
+else
+    echo -e '\033[31mError: ios-sim was not found. Please download, build and install version > 1.3 from https://github.com/Fingertips/ios-sim into your path. \033[m'; exit 1;
+fi
+
+
+